%define fw_version 5.43

Summary:	KDE Frameworks 5 module with text completion helpers and widgets
Name:		kcompletion
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kconfig-devel >= %{version}
BuildRequires:	kwidgetsaddons-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 module with text completion helpers and widgets.

When typing filenames, email addresses and other text where the user often
wants to select from existing data (including what they previously typed)
rather than enter anything wholly original, users often find it helpful if
they only need to type the first few characters, and then have the application
offer them a set of choices or attempt to finish off what they were typing.
Email clients, shells and "open file" dialogs often provide this functionality.

This framework helps implement this in Qt-based applications. You can use one
of the completion-ready widgets provided by this framework, or integrate it
into your application's other widgets directly.

#----------------------------------------------------------------------------

%package i18n
Summary:	KCompletion translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KCompletion translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5completion_major 5
%define libkf5completion %mklibname kf5completion %{kf5completion_major}

%package -n %{libkf5completion}
Summary:	KDE Frameworks 5 text completion shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5completion}
KDE Frameworks 5 text completion shared library.

%files -n %{libkf5completion}
%{_kde5_libdir}/libKF5Completion.so.%{kf5completion_major}*

#----------------------------------------------------------------------------

%define devkf5completion %mklibname kf5completion -d

%package -n %{devkf5completion}
Summary:	Development files for KDE Frameworks 5 text completion module
Group:		Development/KDE and Qt
Requires:	%{libkf5completion} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5completion-devel = %{version}

%description -n %{devkf5completion}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5completion}
%{_kde5_includedir}/KF5/KCompletion
%{_kde5_includedir}/KF5/kcompletion_version.h
%{_kde5_libdir}/cmake/KF5Completion
%{_kde5_libdir}/libKF5Completion.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (65f6ad1) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (dfea7a9) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (8245ad0) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (aaeb202) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (bb367a0) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (537fe22) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (dc1b980) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (117f83a) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (d897ba2) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (0325e7b) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (eb27090) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (76a3df5) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-3
- (13eb340) MassBuild#1017: Increase release tag

* Tue Apr 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (247415c) Bump release

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (aba3da3) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (4ed80cc) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (3269c45) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (1e71c1a) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (71cf914) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (027f22f) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (6d9ba2b) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (83911ab) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (dd3ada6) New version 5.15.0

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-3
- (902bcee) MassBuild#822: Increase release tag

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-2
- (49e487f) MassBuild#821: Increase release tag

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (8c40dfc) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (39dd7f7) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (ab7e6da) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (50980c4) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (475d1c4) New version 5.10.0


